For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList prompts
      • GETGet a prompt
      • PATCHUpdate a prompt
      • POSTCreate a prompt
      • DELDelete a prompts
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceAssistant

List prompts

GET
https://api.x.flatfile.com/v1//prompts
GET
/v1//prompts
$curl https://api.x.flatfile.com/v1/prompts \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
200Example0
1{
2 "data": [
3 {
4 "id": "us_pr_YOUR_ID",
5 "createdById": "us_usr_YOUR_ID",
6 "accountId": "us_acc_YOUR_ID",
7 "promptType": "AI_ASSIST",
8 "prompt": "Combine first name and last name into a new column called Full Name",
9 "createdAt": "2021-01-01T00:00:00Z",
10 "updatedAt": "2021-01-01T00:00:00Z",
11 "environmentId": "us_env_YOUR_ID",
12 "spaceId": "us_sp_YOUR_ID"
13 }
14 ],
15 "pagination": {
16 "currentPage": 3,
17 "pageCount": 50,
18 "totalCount": 100
19 }
20}
Returns prompts created by user
Was this page helpful?
Previous

Get a prompt

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Disable-Hooks"true"Required

Query parameters

promptTypeenumOptional

Type of prompt (default AI_ASSIST)

Allowed values:
pageSizeintegerOptional

Number of prompts to return in a page (default 7)

pageNumberintegerOptional
Based on pageSize, which page of prompts to return

Response

This endpoint returns an object.
datalist of objects
paginationobject
pagination info